FedoraForum.org - Fedora Support Forums and Community
Results 1 to 2 of 2
  1. #1
    Join Date
    Nov 2017
    Location
    dublin
    Posts
    1

    4.14.11-300.fc27 - RX580 firmware load for amdgpu/polaris10_mc.bin failure for

    The firmware is failing to load with error

    [ 1.296634] amdgpu 0000:01:00.0: Invalid PCI ROM header signature: expecting 0xaa55, got 0xffff
    [ 1.296662] ATOM BIOS: 113-58085SHC1-W90
    [ 1.296672] [drm] GPU post is not needed
    [ 1.296766] [drm] vm size is 64 GB, block size is 13-bit, fragment size is 4-bit
    [ 1.296777] amdgpu 0000:01:00.0: Direct firmware load for amdgpu/polaris10_mc.bin failed with error -2
    [ 1.296777] mc: Failed to load firmware "amdgpu/polaris10_mc.bin"
    [ 1.296804] [drm:gmc_v8_0_sw_init [amdgpu]] *ERROR* Failed to load mc firmware!
    [ 1.296821] [drm:amdgpu_device_init [amdgpu]] *ERROR* sw_init of IP block <gmc_v8_0> failed -2
    [ 1.296823] amdgpu 0000:01:00.0: amdgpu_init failed
    [ 1.296825] amdgpu 0000:01:00.0: Fatal error during GPU init
    [ 1.296826] [drm] amdgpu: finishing device.
    [ 1.296827] [TTM] Memory type 2 has not been initialized

    Fedora :: 4.14.11-300.fc27.x86_64 #1 SMP Wed Jan 3 13:52:28 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

    [ig17o ~]$ lspci | grep VGA
    01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Ellesmere [Radeon RX 470/480/570/580] (rev e7)

    Driver I installed with success was : amdgpu-pro-17.50-511655


    [ig17o]$ dnf list installed | grep -i amdgpu
    amdgpu.x86_64 17.50-511655.el7 @amdgpu-pro-local
    amdgpu-core.noarch 17.50-511655.el7 @amdgpu-pro-local
    amdgpu-dkms.noarch 17.50-511655.el7 @amdgpu-pro-local
    amdgpu-pro.x86_64 17.50-511655.el7 @amdgpu-pro-local
    amdgpu-pro-core.noarch 17.50-511655.el7 @amdgpu-pro-local
    glamor-amdgpu.x86_64 1.19.0-511655.el7 @amdgpu-pro-local
    hsa-ext-amdgpu-pro-finalize.x86_64 1.1.6-511655.el7 @amdgpu-pro-local
    hsa-ext-amdgpu-pro-image.x86_64 1.1.6-511655.el7 @amdgpu-pro-local
    hsa-runtime-tools-amdgpu-pro.x86_64 1.1.6-511655.el7 @amdgpu-pro-local
    ids-amdgpu.noarch 1.0.0-511655.el7 @amdgpu-pro-local
    libdrm-amdgpu.x86_64 1:2.4.82-511655.el7 @amdgpu-pro-local
    libegl-amdgpu-pro.x86_64 17.50-511655.el7 @amdgpu-pro-local
    libgbm-amdgpu-pro.x86_64 17.50-511655.el7 @amdgpu-pro-local
    libgbm-amdgpu-pro-base.noarch 17.50-511655.el7 @amdgpu-pro-local
    libgl-amdgpu-pro.x86_64 17.50-511655.el7 @amdgpu-pro-local
    libgl-amdgpu-pro-appprofiles.x86_64 17.50-511655.el7 @amdgpu-pro-local
    libgl-amdgpu-pro-dri.x86_64 17.50-511655.el7 @amdgpu-pro-local
    libgl-amdgpu-pro-ext.x86_64 17.50-511655.el7 @amdgpu-pro-local
    libgles-amdgpu-pro.x86_64 17.50-511655.el7 @amdgpu-pro-local
    libwayland-amdgpu-client.x86_64 1.14.90-511655.el7 @amdgpu-pro-local
    libwayland-amdgpu-server.x86_64 1.14.90-511655.el7 @amdgpu-pro-local
    llvm-amdgpu-libs.x86_64 1:5.0-511655.el7 @amdgpu-pro-local
    mesa-amdgpu-dri-drivers.x86_64 1:17.2.4-511655.el7 @amdgpu-pro-local
    mesa-amdgpu-filesystem.x86_64 1:17.2.4-511655.el7 @amdgpu-pro-local
    mesa-amdgpu-libEGL.x86_64 1:17.2.4-511655.el7 @amdgpu-pro-local
    mesa-amdgpu-libGL.x86_64 1:17.2.4-511655.el7 @amdgpu-pro-local
    mesa-amdgpu-libGLES.x86_64 1:17.2.4-511655.el7 @amdgpu-pro-local
    mesa-amdgpu-libOSMesa.x86_64 1:17.2.4-511655.el7 @amdgpu-pro-local
    mesa-amdgpu-libgbm.x86_64 1:17.2.4-511655.el7 @amdgpu-pro-local
    mesa-amdgpu-libglapi.x86_64 1:17.2.4-511655.el7 @amdgpu-pro-local
    mesa-amdgpu-libwayland-egl.x86_64 1:17.2.4-511655.el7 @amdgpu-pro-local
    mesa-amdgpu-libxatracker.x86_64 1:17.2.4-511655.el7 @amdgpu-pro-local
    mesa-amdgpu-vdpau-drivers.x86_64 1:17.2.4-511655.el7 @amdgpu-pro-local
    rocm-amdgpu-pro.x86_64 17.50-511655.el7 @amdgpu-pro-local
    rocm-amdgpu-pro-icd.x86_64 17.50-511655.el7 @amdgpu-pro-local
    rocm-amdgpu-pro-opencl.x86_64 17.50-511655.el7 @amdgpu-pro-local
    rocr-amdgpu-pro.x86_64 1.1.6-511655.el7 @amdgpu-pro-local
    roct-amdgpu-pro.x86_64 1.0.7-511655.el7 @amdgpu-pro-local
    vulkan-amdgpu-pro.x86_64 17.50-511655.el7 @amdgpu-pro-local
    xorg-x11-amdgpu-drv-amdgpu.x86_64 1:1.4.0-511655.el7 @amdgpu-pro-local

  2. #2
    bob's Avatar
    bob is online now Administrator (yeah, back again)
    Join Date
    Jul 2004
    Location
    Colton, NY; Junction of Heaven & Earth (also Routes 56 & 68).
    Age
    72
    Posts
    23,389

    Re: 4.14.11-300.fc27 - RX580 firmware load for amdgpu/polaris10_mc.bin failure for

    Please don't double-post. Damn! 4 times??? https://forums.fedoraforum.org/showt...88#post1801088
    Linux & Beer - That TOTALLY Computes!
    Registered Linux User #362651


    Don't use any of my solutions on working computers or near small children.

Similar Threads

  1. unable to load firmware patch /*(DEBLOBBED)*/ (-22)
    By firewhale in forum Hardware & Laptops
    Replies: 0
    Last Post: 4th August 2013, 08:12 AM
  2. fc6 can't load firmware of zd1211
    By nrn in forum Servers & Networking
    Replies: 6
    Last Post: 4th March 2007, 03:22 AM
  3. firmware failed to load after modifying some kernel parameter
    By thaiha in forum Servers & Networking
    Replies: 3
    Last Post: 11th July 2006, 01:06 AM
  4. ip2200 firmware won't load following yum update
    By wrightkevin in forum Servers & Networking
    Replies: 17
    Last Post: 10th July 2006, 10:24 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •